These docs are for v1. Click to read the latest docs for v3.

Trip Tags

This API allows you to categorize trips taken by assigning tags to them. You can categorize trips as personal and business.

You can assign the tags to multiple trips in a single API call.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://api.azuga.com/v1/tags/TRIP.json

{  
   "entityTagResources":[  
      {  
         "tagIds":[  
            "a8494db1-0e23-11e7-a74a-22000aeaa6da", 
            "a8494d31-0e23-11e7-a74a-22000aeaa6da"
         ],
         "tripId":"D47509F05A4612BFD53EF2F350FEA614"
      }
   ]
}

API Response Explanation

FieldDescription
codeAPI Status Code
messageAPI Message (Success/Failure)
reasonReason for failure
generatedAtInMillisAPI generation timestamp in Milliseconds
tagAssociateError message indicating that an invalid tag was assigned to the trip
🚧

Disclaimer

This API provides information only for a driver and does not provide aggregated information for a group of vehicles. Admins should not use these APIs, but should look at other sections of the documentation.

Body Params
entityTagResources
array
required

Array of trip - tag pair. tagIds is the unique identifier of the tag to be assigned to the trip. Use the following predefined values to tag the trip as business or personal - Business: a8494db1-0e23-11e7-a74a-22000aeaa6da, Personal: a8494d31-0e23-11e7-a74a-22000aeaa6da. tripId is the unique identifier representing the trip

entityTagResources*
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json